Skip to main content
GET
/
v0
/
persons
/
{person_id}
/
logs
/
{person_log_id}
Get person log
curl --request GET \
  --url https://api.tryarchitect.com/v0/persons/{person_id}/logs/{person_log_id} \
  --header 'x-api-key: <api-key>'
{
  "personId": "<string>",
  "personLogId": "<string>",
  "source": "<string>",
  "type": "<string>",
  "payload": {},
  "idempotencyKey": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://architect-d889a35e-sync-pr-3380.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

person_id
string
required

person_id parameter

person_log_id
string
required

person_log_id parameter

Response

Successful operation

personId
string
required

The person that owns the log entry

Minimum string length: 1
personLogId
string
required

Stable person log entry ID

Minimum string length: 1
source
string
required

Stored person log source

Required string length: 1 - 100
Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
type
string
required

Stored person log source

Required string length: 1 - 100
Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
payload
object
required
idempotencyKey
string | null
required
Required string length: 1 - 255
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
deletedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$